org.apache.sling.jcr.jackrabbit.server.impl.jmx

## Class StatisticsMBeanImpl

- java.lang.Object
- - org.apache.sling.jcr.jackrabbit.server.impl.jmx.StatisticsMBeanImpl

All Implemented Interfaces:
  DynamicMBean

    public class StatisticsMBeanImpl
    extends Object
    implements DynamicMBean

MBean to expose Repository Statistics and make the repository statistics available to other components read only.

### Constructor Summary

Constructors
Constructor and Description
`StatisticsMBeanImpl(org.apache.jackrabbit.core.RepositoryImpl repositoryImpl)`

### Method Summary

Methods
`Object` `getAttribute(String attribute)`
`AttributeList` `getAttributes(String[] attributes)`
`MBeanInfo` `getMBeanInfo()`
`static String` `getMBeanName(org.apache.jackrabbit.core.RepositoryImpl repositoryImpl)`
`org.apache.jackrabbit.api.stats.TimeSeries` `getTimeSeries(org.apache.jackrabbit.api.stats.RepositoryStatistics.Type type)`
`Object` `invoke(String actionName, Object[] params, String[] signature)`
`void` `setAttribute(Attribute attribute)`
`AttributeList` `setAttributes(AttributeList attributes)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StatisticsMBeanImpl

    public StatisticsMBeanImpl(org.apache.jackrabbit.core.RepositoryImpl repositoryImpl)
                        throws IllegalArgumentException

Throws:
  `IllegalArgumentException`

### Method Detail

#### getMBeanName

    public static String getMBeanName(org.apache.jackrabbit.core.RepositoryImpl repositoryImpl)

#### getAttribute

    public Object getAttribute(String attribute)
                        throws AttributeNotFoundException,
                               MBeanException,
                               ReflectionException

Specified by:
  `getAttribute` in interface `DynamicMBean`
Throws:
  `AttributeNotFoundException`
  `MBeanException`
  `ReflectionException`

#### getAttributes

    public AttributeList getAttributes(String[] attributes)

Specified by:
  `getAttributes` in interface `DynamicMBean`

#### getMBeanInfo

    public MBeanInfo getMBeanInfo()

Specified by:
  `getMBeanInfo` in interface `DynamicMBean`

#### invoke

    public Object invoke(String actionName,
                Object[] params,
                String[] signature)
                  throws MBeanException,
                         ReflectionException

Specified by:
  `invoke` in interface `DynamicMBean`
Throws:
  `MBeanException`
  `ReflectionException`

#### setAttribute

    public void setAttribute(Attribute attribute)
                      throws AttributeNotFoundException,
                             InvalidAttributeValueException,
                             MBeanException,
                             ReflectionException

Specified by:
  `setAttribute` in interface `DynamicMBean`
Throws:
  `AttributeNotFoundException`
  `InvalidAttributeValueException`
  `MBeanException`
  `ReflectionException`

#### setAttributes

    public AttributeList setAttributes(AttributeList attributes)

Specified by:
  `setAttributes` in interface `DynamicMBean`

#### getTimeSeries

    public org.apache.jackrabbit.api.stats.TimeSeries getTimeSeries(org.apache.jackrabbit.api.stats.RepositoryStatistics.Type type)